Bug 966865 - Review Request: perl-Storable - Persistence for Perl data structures
Review Request: perl-Storable - Persistence for Perl data structures
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 03:26 EDT by Petr Pisar
Modified: 2013-05-29 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Storable-2.39-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 11:06:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-05-24 03:26:51 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Storable/perl-Storable.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Storable/perl-Storable-2.39-1.fc20.src.rpm
Description:
The Storable package brings persistence to your Perl data structures
containing scalar, array, hash or reference objects, i.e. anything that
can be conveniently stored to disk and retrieved at a later time.

Fedora Account System Username: ppisar

----
This package will dual-live with core modules after sub-packaging them form perl.spec.
Comment 1 Petr Šabata 2013-05-27 19:44:46 EDT
Missing BRs:
perl(Safe), t/code.t:40

Optional missing BRs:
perl(Tie::Hash), t/dclone.t:89
Comment 2 Petr Pisar 2013-05-28 03:11:33 EDT
I bet I found them and stored into my memory, but I forgot to write them into the spec file. Maybe it's time to pass the packaging to someone with younger neurons.
Nevertheless, corrected package shall be found at the same URL.
Comment 3 Petr Šabata 2013-05-28 07:52:13 EDT
(In reply to Petr Pisar from comment #2)
> I bet I found them and stored into my memory, but I forgot to write them
> into the spec file. Maybe it's time to pass the packaging to someone with
> younger neurons.

And I thought you were doing that on purpose so the reviews wouldn't be that empty... ;)

--- a/perl-Storable.spec
+++ b/perl-Storable.spec
@@ -25,6 +25,7 @@ BuildRequires:  perl(integer)
 BuildRequires:  perl(overload)
 BuildRequires:  perl(Test::More)
 BuildRequires:  perl(threads)
+BuildRequires:  perl(Safe)
 BuildRequires:  perl(Scalar::Util)
 BuildRequires:  perl(strict)
 # Optional tests:
@@ -33,6 +34,7 @@ BuildRequires:  perl(strict)
 BuildRequires:  perl(B::Deparse) >= 0.61
 BuildRequires:  perl(File::Spec) >= 0.8
 BuildRequires:  perl(Hash::Util)
+BuildRequires:  perl(Tie::Hash)
 # MD5 is deprecated and not packaged, do not require it
 Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 # Carp substitutes missing Log::Agent


Approving.
Comment 4 Petr Pisar 2013-05-29 03:56:30 EDT
New Package SCM Request
=======================
Package Name: perl-Storable
Short Description: Persistence for Perl data structures
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-05-29 10:36:19 EDT
Git done (by process-git-requests).
Comment 6 Petr Pisar 2013-05-29 10:38:23 EDT
Sub-packaged in perl-5.16.3-274.fc20.
Comment 7 Petr Pisar 2013-05-29 11:06:09 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.